Package ru.bitel.bgbilling.modules.cerbercrypt.common.bean.enums

# Enum Class CardPacketStatus

java.lang.Object
java.lang.Enum<CardPacketStatus>
ru.bitel.bgbilling.modules.cerbercrypt.common.bean.enums.CardPacketStatus

All Implemented Interfaces:
  `Serializable`, `Comparable<CardPacketStatus>`, `Constable`

public enum CardPacketStatus extends Enum<CardPacketStatus>

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `STATUS_ACTIVE`
  карта работает
  `STATUS_LOCKED`
  заблокирована сервером(локером)/администратором
  `STATUS_SUSPEND`
  приостановлена клиентом

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static CardPacketStatus`
  `getCardPacketStatusByCode(int code)`
  `int`
  `getCode()`
  `String`
  `getTitle()`
  `static CardPacketStatus`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static CardPacketStatus[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### STATUS_ACTIVE

    public static final CardPacketStatus STATUS_ACTIVE
    карта работает

  - ### STATUS_LOCKED

    public static final CardPacketStatus STATUS_LOCKED
    заблокирована сервером(локером)/администратором

  - ### STATUS_SUSPEND

    public static final CardPacketStatus STATUS_SUSPEND
    приостановлена клиентом

- ## Method Details

  - ### values

    public static CardPacketStatus[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static CardPacketStatus valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### getCode

    public int getCode()

  - ### getTitle

    public String getTitle()

  - ### getCardPacketStatusByCode

    public static CardPacketStatus getCardPacketStatusByCode(int code)